/**
Theme Name: Anticipa
Author: moio
Author URI: https://moio.io
Description: Anticipa
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: anticipa
Template: astra
*/

/*********************************************/
/******             FONTS             ******/
/*********************************************/
@font-face {
  font-family: "DM Sans", sans-serif;
  src: url("DMSans-VariableFont_opsz,wght.ttf") format("woff2");
  font-weight: 1 999;
  font-optical-sizing: auto;
  font-style: normal;
}
@font-face {
  font-family: "DM Sans", sans-serif;
  src: url("DMSans-Italic-VariableFont_opsz,wght.ttf") format("woff2");
  font-weight: 1 999;
  font-optical-sizing: auto;
  font-style: italic;
}

:root {
  --font-primary: "DM Sans", sans-serif;
  --base-size: 18px;
  --title-size: 55px;
  --title-weight: 700;
  --subtitle-size: 0.64em;
  --subtitle-weight: 400;
}

body,
html {
  font-family: var(--font-primary);
}

body {
  h1,
  .h1,
  .entry-content :where(h1) {
    font-size: 86px;
  }
  h2,
  .h2,
  .entry-content :where(h2) {
    font-size: 54px;
  }

  h2 .pretitle {
    font-size: 14px;
    display: block;
    text-transform: uppercase;
    line-height: 1;
  }
}

/******************************************/
/****             HEADER              *****/
/******************************************/

.ast-mobile-popup-content {
  height: 100%;
  display: flex !important;
  flex-flow: column;

  .ast-builder-menu-mobile {
    margin-block: auto;
  }

  .widget.widget_block.widget_media_image {
    padding-inline: 50px;
  }
  .menu-item {
    line-height: 1.3;
    a {
      /* &::before {
        content: "# ";
      } */
    }
  }

  /* .ast-builder-menu-1 .menu-item.current-menu-item > .menu-link {color: #fff; text-decoration: underline;} */

}

/******************************************/
/****             FOOTER              *****/
/******************************************/

footer {
  /* Hide unavailables */
  #menu-social,
  #menu-legals {
    display: none !important;
  }
	
/* Menú textos legales en el footer */
	#astra-footer-menu{
		display: flex;
	  	flex-direction: row;
	  	justify-content: center;
	  	align-items: center;
	  	gap: 20px;
		margin-top: 25px;
			li{
				display: inline-flex;
			}
}
	
	
	
  ul {
    display: grid;
    gap: 22px;
    li {
      &:not(:has(a)) {
        /* &::before {
          content: "# ";
        } */
      }
      a {
        color: #fff;
        /* &::before {
          content: "# ";
        } */
        &:hover {
          color: #fff;
          opacity: 0.8;
        }
      }
    }
  }

  .site-primary-footer-wrap {
    padding-inline: 20px;
  }

  @media screen and (width >= 545px) {
    .ast-builder-grid-row-container.ast-builder-grid-row-tablet-2-equal
      .ast-builder-grid-row {
      grid-template-columns: auto 1fr !important;
    }
  }

  @media screen and (width >= 620px) {
    .site-footer-primary-section-2 > aside {
      display: flex !important;
      gap: 1rem;
      justify-content: space-between;
      max-width: 650px;
      margin-left: auto !important;
    }
  }

  .digitalizadores_logos {
    width: min(90%, 840px);
    margin-inline: auto;
  }
}

.home-list--custom {
  --spacing: 20px;
  ul {
    display: grid;
    gap: var(--spacing);
    padding: 0;
    li {
      list-style-type: none;
      &:not(:last-child) {
        border-bottom: 1px solid #fff;
        padding-bottom: var(--spacing);
      }
      h3 {
        font-size: 36px;
        font-weight: 400;
      }
      h3,
      p {
        margin: 0;
      }
      a {
        color: #fff;
        text-decoration: none !important;
        display: grid;
        gap: calc(var(--spacing) / 2);
      }
      &:hover {
        h3 {
          font-weight: 600;
        }
      }
    }
  }
}

.scroll_icon {
  #wheel {
    animation: scroll ease-in-out 3s infinite;
  }
}

@keyframes scroll {
  0% {
    transform: translateY(0);
  }
  10% {
    transform: translateY(60px);
  }
  20% {
    transform: translateY(0);
  }
}

@media screen and (width > 767px) {
  .sectordefault {
    aspect-ratio: 1 / 1;
    opacity: 1;
    visibility: visible;
    transition: all 0.6s ease !important;
  }

  .sector1,
  .sector2,
  .sector3,
  .sector4,
  .sector5 {
    aspect-ratio: 1 / 1;

    opacity: 0;
    visibility: hidden;
    transition: all 0.6s ease !important;
    position: absolute !important;
    top: 0;
    left: 0;
  }

  .hover-simulation:has(li:hover) .sectordefault {
    opacity: 0;
    visibility: hidden;
    /* position: absolute; */
  }

  .hover-simulation:has(li:nth-child(1):hover) .sector1,
  .hover-simulation:has(li:nth-child(2):hover) .sector2,
  .hover-simulation:has(li:nth-child(3):hover) .sector3,
  .hover-simulation:has(li:nth-child(4):hover) .sector4,
  .hover-simulation:has(li:nth-child(5):hover) .sector5 {
    opacity: 1 !important;
    visibility: visible !important;
  }
}

body {
  .gform_wrapper[class*="gform-theme"] {
    input {
      font-family: var(--font-primary) !important;
    }

    .gfield {
      input[type="text"],
      input[type="email"],
      textarea {
        background: transparent !important;
        color: #fff;
        border: 0 none;
        border-bottom: 1px solid #fff;
        border-radius: 0 !important;
      }
      textarea {
        /* max-height: 4em; */
        min-height: 4em;
      }
    }
    input[type="submit"] {
      color: var(--ast-global-color-2) !important;
      background: var(--ast-global-color-0) !important;
    }
	  
	  .gfield_consent_label{
		  color:white;
		  a{
			  color: white;
		  }
	  }
  }
}

/* Custmo shrotcode */
.custom-breadcrumb {
  text-align: center;
  span,
  a {
    color: var(--ast-global-color-2);
  }
}

body.single,
body.archive {
  .site-content {
    .ast-container {
      max-width: 100% !important;
      padding: 0 !important;
      > #primary {
        margin: 0 !important;
      }
    }
  }
}

/* Archive */
body.archive {
  .elementor-loop-container {
    .ast-article-post {
      padding: 0 !important;
      background-color: transparent;
      border: 0 none !important;
    }
  }
  .filters_grid-wrapper {
    p {
      margin: 0;
      border-radius: 9px;
      background-color: #707070;
      padding: 0.4em 0;
      text-transform: uppercase;
    }

    .elementor-widget-taxonomy-filter {
      .e-filter-item {
        &:hover {
          color: #fff;
          border-bottom: 1px solid rgba(255, 255, 255, 0.5);
        }
        &[aria-pressed="true"] {
          border: 0 none;
          border-bottom: 1px solid #fff;
          color: #fff;
        }
      }
    }
  }
	.elementor-element .elementor-element-460023e{
		padding: 0 60px !important;
	}
	.elementor-widget-theme-post-featured-image img{
		aspect-ratio: 16/9 ; 
		width: 1200px;
	}
	
	.elementor-widget-theme-post-excerpt{
		font-size: 16px;
	}
	.elementor-widget-button{
		margin-top: 30px;
	}
}

/* Single */

body.single {
  .ast-container {
    > #primary {
      .ast-article-single {
        padding: 0 !important;
      }
    }
  }
	
	.elementor-element-34fc5680{
		font-size: 18px;
	}
	
	.elementor-post-info__terms-list{
		font-size: 0px;
	}
	
	.elementor-post-info__terms-list-item{
		font-size: 18px;
		display:grid !important;
	}
	
	.content-wrapper {
	  container-type: inline-size;

	  .elementor-widget-heading, p {
		  width: 70%;
		  font-size: 18px;
		  line-height: 1.5;
	  }

	  @container (width <= 750px) {
		.elementor-widget-heading, p {
		  width: 90%;
		}
	  }
	}
}
